## Apache Zeta Components Manual :: Docs For Class ezcSearchDeleteQuery

### Search::ezcSearchDeleteQuery

### Interface ezcSearchDeleteQuery

Class to create select search backend indepentent search queries.

Source for this file: /Search/src/interfaces/query_delete.php

    ezcSearchQuery
       |
       --ezcSearchDeleteQuery

Version: | //autogentag//

### Inherited Methods

From ezcSearchQuery
public ezcSearchQuery | `ezcSearchQuery::__construct()` Creates a new search query with handler $handler and document definition $definition.
public string | `ezcSearchQuery::between()` Returns a string containing a field/value specifier, and an optional boost value.
public string | `ezcSearchQuery::eq()` Returns a string containing a field/value specifier, and an optional boost value.
public string | `ezcSearchQuery::lAnd()` Creates an AND clause
public string | `ezcSearchQuery::lOr()` Creates an OR clause
public string | `ezcSearchQuery::not()` Creates a NOT clause
public void | `ezcSearchQuery::reset()` Resets the query object for reuse.
public ezcSearchQuery | `ezcSearchQuery::where()` Adds a select/filter statement to the query

Documentation generated by phpDocumentor 1.4.3